Download it now!
Bug 33370 - Readme file could be easier to follow - support copy/paste of install commands.
Summary: Readme file could be easier to follow - support copy/paste of install commands.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Jan Bobisud
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack
Depends on:
Blocks:
 
Reported: 2011-01-22 12:26 UTC by C.W.Holeman II
Modified: 2015-12-16 05:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description C.W.Holeman II 2011-01-22 12:26:37 UTC
Regarding:

LibO_3.3.0rc4_Linux_x86_install-deb_en-US/readmes/README_en-US

I suggest a change from:

> sudo dpkg -i *.deb
>
> The above dpkg command does the first part of the installation process. To
> complete the process, you also need to install the desktop integration
> packages. To do this, change directory to the "desktop-integration" directory
> that is within the "DEBS" directory, using the following command:
>
> cd desktop-integration
>
> Now run the dpkg command again:
>
> sudo dpkg -i *.deb


to something like:

> The following commands will install LibreOffice and the desktop integration
> packages (you may just copy and paste them into the terminal screen rather
> than trying to type them):
>
> sudo dpkg -i *.deb
> cd desktop-integration
> sudo dpkg -i *.deb

The purpose for the change is to make it easier for the user to perform the install.
By having the three command together a single copy/paste can be used which reduces
the chance for typos or other errors. It also, improves the visibility of the actual
commands the user is to enter thus making the install faster along with easier.
Comment 1 Noel Power 2011-01-24 03:34:08 UTC
thorsten I think you had some input into the text, probably you are the best person to comment on this bug/request
Comment 2 Thorsten Behrens (CIB) 2013-02-20 09:00:42 UTC
This is a very easy EasyHack - readme source is located here for any taker:

readlicense_oo/docs/readme.xrm
Comment 3 Jan Bobisud 2013-03-12 16:27:59 UTC
Hi, I'll handle this, Jan.
Comment 4 Jan Bobisud 2013-04-29 14:21:31 UTC
Hi, here is a link on gerrit: https://gerrit.libreoffice.org/#/c/3679/
Comment 5 Commit Notification 2013-04-29 17:04:44 UTC
Jan Bobisud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1f3824e94694433466d492ee16cf497783a3455

fdo#33370 Readme file could be easier to follow



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2013-09-14 09:23:56 UTC
So fixed now I suppose.
Comment 7 Robinson Tryon (qubit) 2015-12-16 05:11:52 UTC
Migrating Whiteboard tags to Keywords: (EASYHACK, DifficultyBeginner )
[NinjaEdit]